## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysWrapper Struct Reference
[Sound system]

A wrapper/holder for a loaded sound. More...

`#include <isndsys/ss_manager.h>`

Inheritance diagram for iSndSysWrapper:

[legend]
List of all members.

## Public Member Functions

virtual iSndSysStream * | GetStream ()=0
| Get the sound stream associated with this object.
virtual iObject * | QueryObject ()=0
| Get the iObject which represents this wrapper.
virtual void | SetStream (iSndSysStream *stream)=0
| Set the sound stream associated with this object.

## Detailed Description

A wrapper/holder for a loaded sound.

Definition at line 39 of file ss_manager.h.

## Member Function Documentation

virtual iSndSysStream* iSndSysWrapper::GetStream | ( |  | ) | `[pure virtual]`

| Get the sound stream associated with this object.

virtual iObject* iSndSysWrapper::QueryObject | ( |  | ) | `[pure virtual]`

| Get the iObject which represents this wrapper.

virtual void iSndSysWrapper::SetStream | ( | iSndSysStream * | stream | ) | `[pure virtual]`

| Set the sound stream associated with this object.

The documentation for this struct was generated from the following file:

- isndsys/ss_manager.h